Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85371 - xinetd regression - doesn't accept valid facility on log_type SYSLOG (e.g. mail)
Summary: xinetd regression - doesn't accept valid facility on log_type SYSLOG (e.g. m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-28 18:25 UTC by John Gerth
Modified: 2014-08-31 23:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-13 17:14:05 UTC


Attachments (Terms of Use)
testcase showing failure with xinetd for imap (deleted)
2003-02-28 18:28 UTC, John Gerth
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:160 normal SHIPPED_LIVE : Updated xinetd packages fix a denial-of-service attack and other bugs 2003-05-13 04:00:00 UTC
Red Hat Product Errata RHSA-2003:161 normal SHIPPED_LIVE Important: xinetd security update 2003-05-22 04:00:00 UTC

Description John Gerth 2003-02-28 18:25:49 UTC
Description of problem:
While migrating mail service from 7.2 (xinetd-2.3.3-1)
to 8.0 (xinetd-2.3.7-5), imap service fails to start because xinetd 
no longer recognizes "mail" as a valid SYSLOG facility.
However "logger -p mail.info ..." works fine showing that
the "mail" is a valid facility (see sample session below).

I checked a few other facilities and some worked, some didn't.
It's necessary for xinetd to allow all valid facilties to
be specified so that we can keep the logs appropriately.




Version-Release number of selected component (if applicable):
xinetd-2.3.7-5

How reproducible:
Always

Steps to Reproduce:
1. set "log_type = SYSLOG mail" in some enabled service
2. restart xinetd
3. look at the complaint in /var/log/messages

    
Actual results:
Starting reconfiguration
Feb 28 09:46:50 bissell xinetd[3101]: Unknown syslog facility: mail [line=11]
Feb 28 09:46:50 bissell xinetd: xinetd -HUP succeeded
Feb 28 09:46:50 bissell xinetd[3101]: Error parsing attribute log_type -
DISABLING SERVICE [line=11]


Expected results:
xinetd should accept "mail" as a valid syslog facility

Additional info:
(This also happens with xinetd-2.3.7-4.7x on 7.3)

Comment 1 John Gerth 2003-02-28 18:28:54 UTC
Created attachment 90428 [details]
testcase showing failure with xinetd for imap

Comment 2 Mark J. Cox 2003-05-13 17:14:06 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-160.html



Note You need to log in before you can comment on or make changes to this bug.